メインコンテンツへスキップ
POST
/
marketing
/
v3
/
marketing-events
/
attendance
/
{externalEventId}
/
{subscriberState}
/
create
マーケティングイベント外部IDを使用したContactId別に参加者を記録
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "interactionDateTime": 123,
      "properties": {},
      "vid": 123
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create"

payload = { "inputs": [
        {
            "interactionDateTime": 123,
            "properties": {},
            "vid": 123
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: [{interactionDateTime: 123, properties: {}, vid: 123}]})
};

fetch('https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "vid": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

externalEventId
string
必須

外部イベントアプリケーションのマーケティングイベントのID

subscriberState
string
必須

HubSpotコンタクトと指定されたマーケティングイベントの新規登録者状態。例:「register」、「attend」、または「cancel」。

クエリパラメータ

externalAccountId
string

外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId

ボディ

application/json
inputs
object[]
必須

マーケティングイベントに登録するHubSpotコンタクトのリスト

レスポンス

successful operation

completedAt
string<date-time>
必須

リクエストの処理が完了した時点を表すタイムスタンプ

results
object[]
必須
startedAt
string<date-time>
必須

リクエストの処理が開始された時点を表すタイムスタンプ

status
enum<string>
必須

リクエスト処理のステータス

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

リクエストの結果

numErrors
integer<int32>

処理中に発生したエラーの数

requestedAt
string<date-time>

リクエストが行われた時点を表すタイムスタンプ

最終更新日 2026年4月10日